org.apache.sling.jcr.jackrabbit.server.impl

## Class TestContentLoaderImpl

- java.lang.Object
- - org.apache.sling.jcr.jackrabbit.server.impl.TestContentLoaderImpl

All Implemented Interfaces:
  TestContentLoader

    @Service
    @Properties(value={@Property(name="service.description",value="Test Content Loader"),@Property(name="service.vendor",value="The Apache Software Foundation")})
    public class TestContentLoaderImpl
    extends Object
    implements TestContentLoader

Component which loads the Jackrabbit test content into a Sling-managed JCR repository. For now, this is a direct copy of code from jackrabbit-core's JackrabbitRepositoryStub class. Once that class is refactored, we can remove almost all of this code.

### Constructor Summary

Constructors
Constructor and Description
`TestContentLoaderImpl()`

### Method Summary

Methods
`void` `loadTestContent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestContentLoaderImpl

    public TestContentLoaderImpl()

### Method Detail

#### loadTestContent

    public void loadTestContent()
                         throws javax.jcr.RepositoryException,
                                IOException

Specified by:
  `loadTestContent` in interface `TestContentLoader`
Throws:
  `javax.jcr.RepositoryException`
  `IOException`